<?php
// Abdullah_Aljahdali

class LoginForm {
  private $action = '/yalloo/index.php'; // default value
  private $method = 'POST'; // default value
  private $username = '';
  private $password = '';
  public function __construct($arg=NULL) {
  }
  public function __destruct() {
  }
  public function __set($var, $val) {
    if($var=='action') {
      $this->action = $val;
    } else if($var=='method') {
      $this->method = $val;
    } else if($var=='username') {
      $this->username = $val;
    } else if($var=='password') {
      $this->password = $val;
    }
  }
  public function __get($var) {
    if($var=='action') {
      return($this->action);
    } else if($var=='method') {
      return($this->method);
    } else if($var=='username') {
      return($this->username);
    } else if($var=='password') {
      return($this->password);
    }
  }

  public function displayForm() {
    $out = "<form class='form' action='".($this->action)."' method='".($this->method)."'>".
           "<h2 class='title'>Login</h2><br>".
           "<hr><br>".
    "<input class='textfield' type='text' name='username' placeholder='Username'><br><br>".
    "<input class='textfield' type='password' name='password' placeholder='Password'><br><br>".
    "<button class='submitButton fa fa-angle-right fa-2x' type='submit'></button>".
    "<div class='box'>".
    "<label>reset your password</label><br>".
    "<label><a href='/yalloo/index.php?signup'>SIGNUP</a></label><br>".
    "</div>".
    "</form>";
    return $out;
  }

  public function validate() {
    $error = array();
    $errors = false;
    $out = "<form class='form' action='".($this->action)."' method='".($this->method)."'>";
    $out.= "<h2 class='title'>Login</h2><br><hr><br>";

    if(isset($_POST["username"]) && !empty($_POST["username"])) { // received data from POST req
      $this->username = $_POST["username"];
      $out.= "<input class='textfield' type='text' name='username' placeholder='Username' value='".($this->username)."'><br><br>";
    } else {
      $errors = true;
      $out.= "<input class='textfield' style='border-left: 5px solid #78e08f;' type='text' name='username' placeholder='Username'><br><br>";
    }
    if(isset($_POST["password"]) && !empty($_POST["password"])) { // received data from POST req
      $this->password = $_POST["password"];
      $out.= "<input class='textfield' type='text' name='password' placeholder='Password' value='".($this->password)."'><br><br>";
    } else {
      $errors = true;
      $out.= "<input class='textfield' style='border-left: 5px solid #78e08f;' type='text' name='password' placeholder='Password'><br><br>";
    }
    $out.= "<button class='submitButton fa fa-angle-right fa-2x' type='submit'></button>";
    $out.= "<div class='box'>";
    $out.= "<label>reset your password</label><br>";
    $out.= "<label><a href='/yalloo/index.php?signup'>SIGNUP</a></label><br>";
    $out.= "</div>".
    "</form>";

    $out = ($errors == true) ? $out: "";
    return $out;
  }

  public function success() {
    $out = "<form class='form'>".
           "<p class='title'>Welcome! <b>".($this->username)."</b></p>".
           "</form>";
      return $out;
  }

  public function error() {
    $out = "<form class='form' action='".($this->action)."' method='".($this->method)."'>".
           "<h2 class='title'>Login</h2><br>".
           "<hr>".
           "<p class='title'>Opps!! please check your username/password.</p>".
           "<input class='textfield' style='border-left: 5px solid #78e08f;' type='text' name='username' placeholder='Username'><br><br>".
           "<input class='textfield' style='border-left: 5px solid #78e08f;' type='text' name='password' placeholder='Password'><br><br>".
           "<button class='submitButton fa fa-angle-right fa-2x' type='submit'></button>".
           "<div class='box'>".
           "<label>reset your password</label><br>".
           "<label><a href='/yalloo/index.php?signup'>SIGNUP</a></label><br>".
           "</div>".
           "</form>";
      return $out;
  }
}




class SignupForm {
  private $action = '/yalloo/index.php?signup'; // default value
  private $method = 'POST'; // default value
  private $username = '';
  private $password = '';
  public function __construct($arg=NULL) {
  }
  public function __destruct() {
  }
  public function __set($var, $val) {
    if($var=='action') {
      $this->action = $val;
    } else if($var=='method') {
      $this->method = $val;
    } else if($var=='username') {
      $this->username = $val;
    } else if($var=='password') {
      $this->password = $val;
    }
  }
  public function __get($var) {
    if($var=='action') {
      return($this->action);
    } else if($var=='method') {
      return($this->method);
    } else if($var=='username') {
      return($this->username);
    } else if($var=='password') {
      return($this->password);
    }
  }

  public function displayForm() {
    $out = "<form class='form' action='".($this->action)."' method='".($this->method)."'>".
           "<h2 class='title'>Signup</h2><br>".
           "<hr><br>".
           "<input class='textfield' type='text' name='username' placeholder='Username'><br><br>".
           "<input class='textfield' type='password' name='password' placeholder='Password'><br><br>".
           "<input class='textfield' type='password' name='repassword' placeholder='Re-enter Password'><br><br>".
           "<button class='submitButton fa fa-angle-right fa-2x' type='submit'></button>".
           "<div class='box'>".
           "<label><a href='/yalloo/index.php'>LOGIN</a></label><br>".
           "</div>".
           "</form>";
    return $out;
  }

  public function validate() {
    $error = array();
    $errors = false;
    $out = "<form class='form' action='".($this->action)."' method='".($this->method)."'>";
    $out.= "<h2 class='title'>Signup</h2><br><hr><br>";

    if(isset($_POST["username"]) && !empty($_POST["username"])) { // received data from POST req
      $this->username = $_POST["username"];
      $out.= "<input class='textfield' type='text' name='username' placeholder='Username' value='".($this->username)."'><br><br>";
    } else {
      $errors = true;
      $out.= "<input class='textfield' style='border-left: 5px solid #78e08f;' type='text' name='username' placeholder='Username'><br><br>";
    }
    if(isset($_POST["password"]) && !empty($_POST["password"])) { // received data from POST req
      $this->password = $_POST["password"];
      $out.= "<input class='textfield' type='password' name='password' placeholder='Password' value='".($this->password)."'><br><br>";
    } else {
      $errors = true;
      $out.= "<input class='textfield' style='border-left: 5px solid #78e08f;' type='password' name='password' placeholder='Password'><br><br>";
    }
    if(isset($_POST["repassword"]) && !empty($_POST["repassword"]) && $_POST["password"] == $_POST["repassword"]) { // received data from POST req
      $out.= "<input class='textfield' type='password' name='repassword' placeholder='Re-enter Password' value='".($this->password)."'><br><br>";
    } else {
      $errors = true;
      $out.= "<input class='textfield' style='border-left: 5px solid #78e08f;' type='password' name='repassword' placeholder='Re-enter Password'><br><br>";
    }
    $out.= "<button class='submitButton fa fa-angle-right fa-2x' type='submit'></button>";
    $out.= "<div class='box'>";
    $out.= "<label><a href='/yalloo/index.php'>LOGIN</a></label><br>";
    $out.= "</div>".
    "</form>";

    $out = ($errors == true) ? $out: "";
    return $out;
  }

  public function success() {
    $out = "<form class='form'>".
           "<p class='title'>Thanks! <b>".($this->username)."</b></p>".
           "</form>";
      return $out;
  }

  public function error($num=1) {
    $out = "<form class='form' action='".($this->action)."' method='".($this->method)."'>".
           "<h2 class='title'>Signup</h2><br>".
           "<hr>";
    if ($num==0) {
      $out .= "<p class='title' style='border-left: 5px solid #78e08f;'>Server is down please try again later...</p>";
    } else if ($num==1) {
      $out .= "<p class='title'>Opps!! username exists.</p>";
    }
    $out .= "<input class='textfield' type='text' name='username' placeholder='Username'><br><br>".
           "<input class='textfield' type='password' name='password' placeholder='Password'><br><br>".
           "<input class='textfield' type='password' name='password' placeholder='Re-enter Password'><br><br>".
           "<button class='submitButton fa fa-angle-right fa-2x' type='submit'></button>".
           "<div class='box'>".
           "<label><a href='/yalloo/index.php'>LOGIN</a></label><br>".
           "</div>".
           "</form>";
      return $out;
  }
}


?>
