<?php
// Abdullah_Aljahdali

function encrypte($str, $salt=47) {
  $encrypted = "";
  for($i = 0; $i < strlen($str); $i++) {
      $char = substr($str, $i, 1);
      $encrypted .= (ord($char)+$salt)."";
  }
  return $encrypted;
}

function decrypte($str, $salt=47) {
  $decrypted = "";
  for($i = 0; $i < strlen($str); $i+=3) {
      $char = substr($str, $i, 3);
      $decrypted .= chr(intval($char)-$salt)."";
  }
  return $decrypted;
}

function fileToString($fileName) {
  $fptr = fopen($fileName, "r") or exit("Couldn't open file.");
  $fstr = fread($fptr,filesize($fileName));
  fclose($fptr);
  return $fstr;
}

function stringToFile($fileName, $content) {
  $fptr = fopen($fileName, "w");
  $fstr = fwrite($fptr,$content);
  fclose($fptr);
}

function fileToArray($fileName) {
  $fptr = fopen($fileName, "r") or exit("Couldn't open file.");
  $array = [];
  while(!feof($fptr)) {
    $array[] = fgets($fptr);
  }
  fclose($fptr);
  return $array;
}

function getCurrentTime() {
  date_default_timezone_set("America/Los_Angeles");
  return "".date("H:i")." ".(((int)date("H")<12)?"AM":"PM");
}

function getURL($index) {
  $arr = ["http://www.cs.csub.edu/~aaljahdali/3680_S18/wk3/lab3.php",
          "http://www.cs.csub.edu/~aaljahdali/3680_S18/project1/project1.php",
          "http://www.cs.csub.edu/~aaljahdali/3480/project",
          "http://www.cs.csub.edu/~aaljahdali/3480/project/p7-26.34sec.jpg"
          ];
  return $arr[$index];
}
function getGameURL($index) {
  $arr = ["http://cs.csubak.edu/~aaljahdali/CS2680/Labs/Lab7/lab7.html",
          "http://cs.csubak.edu/~aaljahdali/CS2680/Labs/Lab9/lab9.html",
          "http://cs.csubak.edu/~aaljahdali/CS2680/Labs/Lab10/lab10.html",
          "http://cs.csubak.edu/~aaljahdali/CS2680/Projects/Project2/project2.html"
          ];
  return $arr[$index];
}

function sortByRate($a, $b) {
    if ($a['prod_rating'] == $b['prod_rating']) {
        return 0;
    }
    return ($a['prod_rating'] > $b['prod_rating']) ? -1 : 1;
}

function getStarsOutOfDouble($a) {
    // $nstar = (int)$a;
    // $curr = $a - $nstar;
    // $totalStarsRate = "";
    // while ($nstar > 0) {
    //     $totalStarsRate = $totalStarsRate."[*]";
    //     $nstar--;
    // }
    // if ($curr < 0.5) {
    //     $totalStarsRate = $totalStarsRate."[";
    // } else {
    //     $totalStarsRate = $totalStarsRate."[*";
    // }
    // return $totalStarsRate;
    $nstar = (int)$a;
    $curr = $a - $nstar;
    $remain = 5-($nstar+$curr);
    $totalStarsRate = "";
    while ($nstar > 0) {
        $totalStarsRate .= "<i class='fa fa-star' aria-hidden='true'></i>";
        $nstar--;
    }
    if ($curr < 0.5) {
      $totalStarsRate .= "<i class='fa fa-star-half-o' aria-hidden='true'></i>";
    } else {
      $totalStarsRate .= "<i class='fa fa-star-half-o' aria-hidden='true'></i>";
    }
    while ($remain > 0) {
        $totalStarsRate .= "<i class='fa fa-star-o' aria-hidden='true'></i>";
        $remain--;
    }
    return $totalStarsRate;
}

function isActive() {
  return (isset($_GET['id'])&&($_GET['id']!=''))?"?id=".$_GET['id']."&":"?";
}

?>
