<?php
// Abdullah_Aljahdali
include_once('../lib/helpers.php');
include("../lib/connect.php");
$sId = session_id();
if ($sId == '') { session_start(); }

if (!(isset($_GET['id'])||($_GET['id']!=''))) {
  header("Location: ../index.php"); exit();
}
$data = array(
  'title' => "cod&emacr;OUT",
  'guest' => ((isset($_GET['id'])&&($_GET['id']!=''))?decrypte($_GET["id"]):"Guest"),
);
if ((isset($_GET['id'])&&($_GET['id']!=''))) {
  //loadUser($_GET["userID"]);
  $data['items'] = array(
    array(
      "title" => "Rooms",
      "icon" => "fa fa-hashtag fa-2x",
      "url" => "home.php".(isActive())."rooms",
      "active" => isset($_GET['rooms']),
    ),
    array(
      "title" => "Users",
      "icon" => "fa fa-users fa-2x",
      "url" => "home.php".(isActive())."users",
      "active" => isset($_GET['users']),
    ),
    array(
      "title" => "Logout",
      "icon" => "fa fa-sliders fa-2x",
      "url" => "home.php",
      "active" => (!isset($_GET['users']) && !isset($_GET['rooms'])),
    ),
  );
  if (isset($_GET['rooms'])) {
    $data['title'] = "public rooms";
  } else if (isset($_GET['users'])) {
    $data['title'] = "private rooms";
  }
}

include('header.php');
include('nav.php');


?>

<div class="container">
  <?php
  if (isset($_GET['session'])) {
    if (isset($_GET['video'])) {
      echo "<iframe src='http://99.4.70.120/session?video=1&room=".($_GET['session'])."'>".
        "<p>Your browser does not support iframes.</p>".
      "</iframe>";
    } else if (isset($_GET['audio'])) {
      echo "<iframe src='http://99.4.70.120/session?audio=1&room=".($_GET['session'])."'>".
        "<p>Your browser does not support iframes.</p>".
      "</iframe>";
    } else {
      header("Location: ../index.php"); exit();
    }
  } else {
    $sql = new sql();

    $out = "<div class='table'> <div class='row header'>";
    if (isset($_GET['rooms'])) {
      $data['rooms'] = $sql->iterated("SELECT * FROM Rooms;");
      $data['title'] = "public rooms";
      // print_r($data['rooms']);

      $out .= "<div class='cell'> Room </div>".
              "<div class='cell'> Video </div>".
              "<div class='cell'> Audio </div>";
      $out .= "</div>";
      while($room = $sql->next()) {
        $out .= "<div class='row'>".
                  "<div class='cell' data-title='Room'>".($room['r_roomname'])."</div>".
                  "<div class='cell' data-title='Video'>".
                  "<a href='home.php".(isActive())."video&session=".($room['r_roomname'])."' class='fa fa-video-camera fa-2x' aria-hidden='true'></a>".
                  "</div>".
                  "<div class='cell' data-title='Audio'>".
                  "<a href='home.php".(isActive())."audio&session=".($room['r_roomname'])."' class='fa fa-microphone fa-2x' aria-hidden='true'></a>".
                  "</div>";
          $out .= "</div>";
      }

    } else if (isset($_GET['users'])) {
      $data['users'] = $sql->iterated("SELECT * FROM Users;");
      $data['title'] = "private rooms";
      $out .= "<div class='cell'> Username </div>
              <div class='cell'> Video </div>
              <div class='cell'> Audio </div>
            </div>";
      while($user = $sql->next()) {
        $link = generateLink($user);
        if ($_GET['id'] != $user['u_username'] && encrypte('admin') != $user['u_username']) {
          $out .= "<div class='row'>".
                    "<div class='cell' data-title='Username'>".(decrypte($user['u_username']))."</div>".
                    "<div class='cell' data-title='Video'>".
                    "<a href='home.php".(isActive())."video&session=".($link)."' class='fa fa-video-camera fa-2x' aria-hidden='true'></a>".
                    "</div>".
                    "<div class='cell' data-title='Audio'>".
                    "<a href='home.php".(isActive())."audio&session=".($link)."' class='fa fa-microphone fa-2x' aria-hidden='true'></a>".
                    "</div>";
            $out .= "</div>";
        }
      }
    } else {
      $out .= "</div>";
    }
    $out .= "</div>";
    unset($sql);
    echo $out;
  }

   ?>
</div>

<?php

include('footer.php');

function generateLink($withUser) {
  $x = intval($withUser['u_username']);
  $y = intval($_GET['id']);
  return ($x<$y) ? $x.$y : $y.$x;
}

?>
